#### PyKDE - Python Bindings for KDE

# class KCharMacroExpander |
Table of contents
Modules
kdecore Classes
All Classes

Module | kdecore
Class | KCharMacroExpander (abstract)
Inherits | KMacroExpanderBase

### methods

- KCharMacroExpander (c = '%')

  returns a KCharMacroExpander instance
  In versions KDE 3.3.0 and above only
  Argument | Type | Default
  --- | --- | ---
  c | QChar | '%'

- expandEscapedMacro (str, pos, ret)

  returns (int)
  In versions KDE 3.3.0 and above only
  Argument | Type | Default
  --- | --- | ---
  str | QString |
  pos | uint |
  ret | QStringList |

- expandMacro (chr, ret) = 0

  returns (bool)
  In versions KDE 3.3.0 and above only
  pure virtual
  Argument | Type | Default
  --- | --- | ---
  chr | QChar |
  ret | QStringList |

- expandPlainMacro (str, pos, ret)

  returns (int)
  In versions KDE 3.3.0 and above only
  Argument | Type | Default
  --- | --- | ---
  str | QString |
  pos | uint |
  ret | QStringList |